Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.ant.input
Class XInputOption

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          edu.internet2.middleware.ant.input.XInputOption

All Implemented Interfaces:
  Cloneable

    public class XInputOption

extends org.apache.tools.ant.ProjectComponent

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`XInputOption()`
`XInputOption(String value, String validargs, String displayName)`

Method Summary
`boolean` | `acceptsInput(String input)`
`void` | `addText(String text)`
`String` | `displayName()`
`Boolean` | `getCaseSensitive()`
`Vector` | `getValidArgs()`
`String` | `getValue()`
`boolean` | `isDefault()`
`void` | `setCasesensitive(boolean b)`
`void` | `setCaseSensitive(Boolean b)`
`void` | `setIsDefault(boolean b)`
`void` | `setValidArgs(String validargs)`
`void` | `setValue(String value)`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XInputOption

    public XInputOption()

### XInputOption

    public XInputOption(String value,
                        String validargs,
                        String displayName)

Method Detail

### setCasesensitive

    public void setCasesensitive(boolean b)

### setCaseSensitive

    public void setCaseSensitive(Boolean b)

### getCaseSensitive

    public Boolean getCaseSensitive()

### setValue

    public void setValue(String value)

### getValue

    public String getValue()

### setValidArgs

    public void setValidArgs(String validargs)

### getValidArgs

    public Vector getValidArgs()

### addText

    public void addText(String text)

### displayName

    public String displayName()

### setIsDefault

    public void setIsDefault(boolean b)

### isDefault

    public boolean isDefault()

### acceptsInput

    public boolean acceptsInput(String input)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2011 Internet2. All Rights Reserved.